package be.iminds.ilabt.jfed.espec.bundle;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.annotation.Nonnull;
import java.io.File;
import java.io.FileInputStream;

/**
 * Bundle
 */
public class LocalArchiveESpecBundle extends AbstractArchiveESpecBundle {
    private static final Logger LOG = LoggerFactory.getLogger(LocalArchiveESpecBundle.class);

    LocalArchiveESpecBundle(@Nonnull File archiveFile) throws ESpecBundleInitException {
        super(() -> new FileInputStream(archiveFile), false);
    }
}
